/* BOTON DE PAGO GENERAR COMPROBANTE */
#botonpago_pagar_generar {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #6685a4;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/tilde_32.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO IMPRIMIR COMPROBANTE */


/* BOTON DE PAGO BILLETERA VIRTUAL */
#botonpago_pagar_qr {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #ec1e79;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_qr.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO MACRO CLICK */
#botonpago_pagar_boletas {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #002E55;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_macro.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO 360 */
#botonpago_pagar_360 {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #007BF5;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_pago360.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO INTERBANKING */
#botonpago_pagar_interbanking {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #A421F9;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_interbanking.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO PAGO MIS CUENTAS */
#botonpago_pagar_pmc {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #0081ab;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_pmc.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO REDLINK */
#botonpago_pagar_redlink {
    padding: 15px 10px 15px 65px;
    min-width: 175px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #097752;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_redlink.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO HELIPAGOS */
#botonpago_pagar_helipagos {
    padding: 15px 10px 15px 55px;
    min-width: 160px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #004aea;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_helipagos.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* BOTON DE PAGO MP  */
#botonpago_pagar_mp {
    padding: 15px 10px 15px 65px;
    min-width: 150px;
    margin-bottom: 5px;
    width: auto;
    text-align: left;
    background-color: #0297cc;
    color: #ffffff;
    font-size: 15px;
    border-radius: 0.5rem !important;
    background-image: url("../img/botonPago/btnpago_mp.png");
    background-position: 10px center;
    background-repeat: no-repeat;
    background-size: 40px 40px;
}

/* Luis 08 Junio 26 - Agregado para permitir Doble Linea en los Botones*/
/* 1. Agrupamos TODOS tus IDs para darles la misma altura y centrado */
#botonpago_pagar_qr,
#botonpago_pagar_boletas,
#botonpago_pagar_360,
#botonpago_pagar_interbanking,
#botonpago_pagar_pmc,
#botonpago_pagar_redlink,
#botonpago_pagar_helipagos,
#botonpago_pagar_mp {
    width: 230px !important;     /* <--- FORZAMOS EL ANCHO ESTÁNDAR PARA ESTOS */
    height: 50px;
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    box-sizing: border-box;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

/* Luis 08 Junio 26 - Agregado para permitir Doble Linea en los Botones*/
/* 2. Clase genérica para CUALQUIER botón que use dos líneas de texto */
.botonpago_doble_linea {
    flex-direction: column !important;
    justify-content: center !important;
    align-items: flex-start !important;
}

/* BOTONERA DE PAGO - DATOS SOLICITANTE */
#botonpago_pagar_contribuyente_contenedor input {
    color: #000000 !important;
}

/* BOTONERA DE PAGO - DATOS SOLICITANTE */
#botonpago_pagar_contribuyente_contenedor input:focus {
    color: #000000 !important;
    font-weight: 700 !important;
}
